using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsControlGroupHistory {

        [Display(Name = "제어대상 그룹 ID"), Required]
        public int GroupId { get; set; }
        [Display(Name = "제어명령 고유번호"), Required]
        [StringLength(30)]
        public string ExtendID { get; set; }
        [Display(Name = "제어명령 시각"), Required]
        public DateTime ScheduleDateTime { get; set; }
        [Display(Name = "제어명령 값"), Required]
        public double ControlValue { get; set; }
        [Display(Name = "제어명령 발생 서비스명")]
        [StringLength(64)]
        public string WriteServiceName { get; set; }
        [Display(Name = "제어명령 확인 시각")]
        public DateTime? ActionDateTime { get; set; }
    }
}
